<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- propertyoptions.qdoc -->
  <title>PropertyOptions QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="qml-qbslanguageitems-properties.html" />
  <link rel="next" href="qml-qbslanguageitems-rule.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="qml-qbslanguageitems-properties.html">Properties</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbslanguageitems-rule.html">Rule</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">PropertyOptions QML Type</h1>
<span class="subtitle"></span>
<!-- $$$PropertyOptions-brief -->
<p>Provides inline documentation for properties within product and module items. <a href="#details">More...</a></p>
<!-- @@@PropertyOptions -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsLanguageItems .</td></tr></table></div><ul>
<li><a href="qml-qbslanguageitems-propertyoptions-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbslanguageitems-propertyoptions.html#allowedValues-prop">allowedValues</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbslanguageitems-propertyoptions.html#description-prop">description</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbslanguageitems-propertyoptions.html#name-prop">name</a></b></b> : string</li>
</ul>
<!-- $$$PropertyOptions-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>A PropertyOptions item can appear inside a <a href="qml-qbslanguageitems-product.html">Product</a> or <a href="qml-qbslanguageitems-module.html">Module</a> item to provide inline documentation for properties.</p>
<!-- @@@PropertyOptions -->
<h2>Property Documentation</h2>
<!-- $$$allowedValues -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="allowedValues-prop">
<td class="tblQmlPropNode"><p>
<span class="name">allowedValues</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of the values permitted by the property.</p>
<p>The default value, <code>undefined</code>, indicates that any value is permitted.</p>
</div></div><!-- @@@allowedValues -->
<br/>
<!-- $$$description -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="description-prop">
<td class="tblQmlPropNode"><p>
<span class="name">description</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A brief description of the property.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@description -->
<br/>
<!-- $$$name -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="name-prop">
<td class="tblQmlPropNode"><p>
<span class="name">name</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The name of the property to document.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@name -->
<br/>
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="qml-qbslanguageitems-properties.html">Properties</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbslanguageitems-rule.html">Rule</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
